| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Modules | Macros | Functions
ANT key manager
ANT utilities

Module for registering common and custom ANT network keys. More...

## Modules
| Software Component configuration

## Macros
#define | ANT_PLUS_NETWORK_KEY {0, 0, 0, 0, 0, 0, 0, 0}
#define | ANT_FS_NETWORK_KEY {0, 0, 0, 0, 0, 0, 0, 0}

## Functions
uint32_t | ant_custom_key_set (uint8_t network_number, uint8_t *p_network_key)
| Function for registering a custom network key. More...
uint32_t | ant_plus_key_set (uint8_t network_number)
| Function for registering an ANT+ network key. More...
uint32_t | ant_fs_key_set (uint8_t network_number)
| Function for registering an ANT-FS network key. More...

## Detailed Description

Module for registering common and custom ANT network keys.

## Macro Definition Documentation

#define ANT_FS_NETWORK_KEY {0, 0, 0, 0, 0, 0, 0, 0}

The ANT-FS network key.

#define ANT_PLUS_NETWORK_KEY {0, 0, 0, 0, 0, 0, 0, 0}

The ANT+ network key.

## Function Documentation

uint32_t ant_custom_key_set | ( | uint8_t | network_number,
|  | uint8_t * | p_network_key
| ) |  |

Function for registering a custom network key.

Parameters

  [in] | network_number | Network key number.
  [in] | p_network_key | Pointer to the custom ANT network key.

Returns
  A SoftDevice error code.

uint32_t ant_fs_key_set | ( | uint8_t | network_number | ) |

Function for registering an ANT-FS network key.

The key must be defined by ANT_FS_NETWORK_KEY.

Note
  The ANT+ Network Key is available for ANT+ Adopters. Go to http://thisisant.com to become an ANT+ Adopter and access the key.

Parameters

  [in] | network_number | Network key number.

Returns
  A SoftDevice error code.

uint32_t ant_plus_key_set | ( | uint8_t | network_number | ) |

Function for registering an ANT+ network key.

The key must be defined by ANT_PLUS_NETWORK_KEY.

Note
  The ANT+ Network Key is available for ANT+ Adopters. Go to http://thisisant.com to become an ANT+ Adopter and access the key.

Parameters

  [in] | network_number | Network key number.

Returns
  A SoftDevice error code.